#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           breeze-icons
Summary:        Breeze icon theme
Epoch:          1
Version: 5.76.0
Release:        %mkrel %rel
Group:          Graphical desktop/KDE
License:        LGPLv3
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
## upstream patches

BuildArch:      noarch

BuildRequires:  kf5-macros

BuildRequires:  util-linux
BuildRequires:  symlinks

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)

Conflicts:      breeze < 5.4.95

%description
Breeze Plasma 5 icon theme. Compliant with FreeDesktop.org naming schema.

%files
%_kf5_iconsdir/breeze
%ghost %_kf5_iconsdir/breeze/icon-theme.cache
%_kf5_iconsdir/breeze-dark
%ghost %_kf5_iconsdir/breeze-dark/icon-theme.cache

#-----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install


# remove possible dangling symlinks
symlinks -rd %{buildroot}%{_kf5_iconsdir}

# As of 4.5.80, hardlink reports
#Linked 854
#saved 8265728
hardlink -c -v %{buildroot}%{_kf5_iconsdir}


# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  /usr/share/icons/breeze/
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/breeze
fi

%transfiletriggerin --  /usr/share/icons/breeze-dark/
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/breeze-dark
fi



%changelog
* Sun Dec 06 2020 daviddavid <daviddavid> 1:5.76.0-1.mga8
+ Revision: 1653306
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 1:5.75.0-1.mga8
+ Revision: 1633160
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 1:5.74.0-1.mga8
+ Revision: 1625574
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 1:5.73.0-1.mga8
+ Revision: 1612291
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 1:5.72.0-1.mga8
+ Revision: 1603065
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 1:5.71.0-1.mga8
+ Revision: 1592759
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 1:5.70.0-1.mga8
+ Revision: 1581985
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 1:5.69.0-1.mga8
+ Revision: 1566476
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 1:5.68.0-1.mga8
+ Revision: 1556652
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 1:5.67.0-2.mga8
+ Revision: 1546697
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 1:5.67.0-1.mga8
+ Revision: 1486962
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 1:5.65.0-1.mga8
+ Revision: 1466200
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 1:5.64.0-1.mga8
+ Revision: 1457585
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 1:5.63.0-1.mga8
+ Revision: 1450966
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 1:5.62.0-1.mga8
+ Revision: 1444781
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 1:5.60.0-1.mga8
+ Revision: 1420043
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 1:5.57.0-1.mga7
+ Revision: 1386909
- New version 5.57.0

* Tue Mar 12 2019 neoclust <neoclust> 1:5.56.0-1.mga7
+ Revision: 1374536
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 1:5.55.0-1.mga7
+ Revision: 1364511
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 1:5.54.0-1.mga7
+ Revision: 1356634
- New version 5.54.0

* Sat Dec 15 2018 wally <wally> 1:5.53.0-1.mga7
+ Revision: 1341469
- own icon cache files
- update icon cache also for dark theme
+ neoclust <neoclust>
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 1:5.51.0-1.mga7
+ Revision: 1318937
- New version 5.51.0
- New version 5.50.0

* Thu Sep 20 2018 umeabot <umeabot> 1:5.49.0-2.mga7
+ Revision: 1277776
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 1:5.49.0-1.mga7
+ Revision: 1247287
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 1:5.46.0-1.mga7
+ Revision: 1229225
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 1:5.42.0-1.mga7
+ Revision: 1192257
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 1:5.41.0-1.mga7
+ Revision: 1182307
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 1:5.38.0-1.mga7
+ Revision: 1161213
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 1:5.37.0-1.mga7
+ Revision: 1140375
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 1:5.36.0-1.mga7
+ Revision: 1123476
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 1:5.32.0-1.mga6
+ Revision: 1088939
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 1:5.29.0-1.mga6
+ Revision: 1074510
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 1:5.28.0-1.mga6
+ Revision: 1072378
- New version 5.28.0

* Fri Nov 18 2016 daviddavid <daviddavid> 1:5.27.0-2.mga6
+ Revision: 1068206
- Breeze Dark is listed as Breeze in System Settings (kde#370213)

* Tue Oct 04 2016 neoclust <neoclust> 1:5.27.0-1.mga6
+ Revision: 1058445
- New version 5.27.0

* Mon Oct 03 2016 daviddavid <daviddavid> 1:5.26.0-2.mga6
+ Revision: 1058195
- add upstream patch to fix missing KCharSelect desktop file icon (kde#366427)

* Thu Sep 08 2016 neoclust <neoclust> 1:5.26.0-1.mga6
+ Revision: 1050507
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 1:5.25.0-1.mga6
+ Revision: 1045085
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 1:5.24.0-1.mga6
+ Revision: 1041307
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 1:5.23.0-1.mga6
+ Revision: 1021906
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 1:5.22.0-1.mga6
+ Revision: 1014316
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 1:5.21.0-1.mga6
+ Revision: 999613
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 1:5.20.0-1.mga6
+ Revision: 986304
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 1:5.19.0-1.mga6
+ Revision: 942225
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 1:5.18.0-1.mga6
+ Revision: 921259
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 1:5.17.0-2.mga6
+ Revision: 912951
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 1:5.17.0-1.mga6
+ Revision: 910021
- New version 5.17.0

* Mon Nov 30 2015 neoclust <neoclust> 1:5.16.0-4.mga6
+ Revision: 907237
- Fix conflicts

* Tue Nov 10 2015 neoclust <neoclust> 1:5.16.0-3.mga6
+ Revision: 900541
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 1:5.16.0-2.mga6
+ Revision: 899581
- Rebuild against fixed extra-cmake-modules

* Mon Nov 09 2015 neoclust <neoclust> 1:5.16.0-1.mga6
+ Revision: 899341
- imported package breeze-icons

